diff options
context:
space:
mode:
Diffstat (limited to 'tests/t0001-validate-git-versions.sh')
-rwxr-xr-xtests/t0001-validate-git-versions.sh10
1 file changed, 5 insertions, 5 deletions
diff --git a/tests/t0001-validate-git-versions.sh b/tests/t0001-validate-git-versions.sh
index dd84fe3..79699fd 100755
--- a/tests/t0001-validate-git-versions.sh
+++ b/tests/t0001-validate-git-versions.sh
@@ -20,22 +20,22 @@ test_expect_success 'extract Git version from Makefile' '
# must apply the same transformation to the version in the Makefile before
# comparing them.
test_expect_success 'test Git version matches Makefile' '
- ( cat ../../git/GIT-VERSION-FILE || echo "No GIT-VERSION-FILE" ) |
+ ( cat ../../libraries/git/GIT-VERSION-FILE || echo "No GIT-VERSION-FILE" ) |
sed -e "s/GIT_VERSION[ ]*=[ ]*//" -e "s/\\.dirty$//" >git_version &&
sed -e "s/-/./g" makefile_version >makefile_git_version &&
test_cmp git_version makefile_git_version
'
test_expect_success 'test submodule version matches Makefile' '
- if ! test -e ../../git/.git
+ if ! test -e ../../libraries/git/.git
then
- echo "git/ is not a Git repository" >&2
+ echo "libraries/git/ is not a Git repository" >&2
else
(
cd ../.. &&
- sm_oid=$(git ls-files --stage -- git |
+ sm_oid=$(git ls-files --stage -- libraries/git |
sed -e "s/^[0-9]* \\([0-9a-f]*\\) [0-9] .*$/\\1/") &&
- cd git &&
+ cd libraries/git &&
git describe --match "v[0-9]*" $sm_oid
) | sed -e "s/^v//" -e "s/-/./" >sm_version &&
test_cmp sm_version makefile_version